cython-legacy (0.29.37-2) unstable; urgency=medium

  * Remove usages of deprecated numpy.distutils
  * Disable unicode test_raiseMemError (Closes: #1059839)

 -- Graham Inggs <ginggs@debian.org>  Mon, 08 Apr 2024 09:22:30 +0000

cython-legacy (0.29.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (closes: #1062604)

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 Feb 2024 21:52:29 +0000

cython-legacy (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * Skip (autopkg)tests which fail with Python 3.12, and note that
    pyximport probably doesn't work with Python 3.12 in the package
    description.

 -- Julian Gilbey <jdg@debian.org>  Wed, 13 Dec 2023 22:16:14 +0000

cython-legacy (0.29.36-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Limit watch file to 0.x versions.

  [ Julian Gilbey ]
  * Use zombie-imp to allow pyximport to run under Python 3.12
  * Call python as python3 in Makefiles

 -- Julian Gilbey <jdg@debian.org>  Tue, 12 Dec 2023 06:43:57 +0000

cython-legacy (0.29.36-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid using the thread state attribute "use_tracing" in Python 3.12.
    Patch taken from upstream. "however, that doesn't mean that
    profiling/tracing now works in Py3.12".

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 00:12:38 +0100

cython-legacy (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * Add conflicts. Closes: #1056781.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:52:08 +0100

cython-legacy (0.29.36-1~exp1) experimental; urgency=medium

  * Rename and reintroduce package

 -- Graham Inggs <ginggs@debian.org>  Fri, 24 Nov 2023 14:08:54 +0000

cython (0.29.36-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary non-pybuild parts of the build. (Closes: #904211)
  * Replace cython3-dbg with --automatic-dbgsym.
  * Minor rules cleanup.
  * Use dh-exec to rename commands.
  * Run the upstream test suite in an autopkgtest.
  * Build-Depend on python3-setuptools, upstream uses distutils which will be
    removed from 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 14:32:11 +0000

cython (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Includes Python 3.12 support (Closes: #1004725)
  * Drop patch py3.11-dbg-assertion.patch, supersedde upstream.
  * Clean pybuild's work directory.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jul 2023 10:05:47 -0400

cython (0.29.32-2) unstable; urgency=medium

  * Team upload.
  * Patch: Avoid triggering an assertion failure on python3.11-dbg when
    calling cyfuncs.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 19:59:12 +0200

cython (0.29.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.32.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:31:42 -0400

cython (0.29.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.30.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 10:12:47 -0400

cython (0.29.28-3) unstable; urgency=medium

  * Team upload
  * Fixed another 2-digit minor version bug.
  * Skip tests on sparc64, where they frequently fail. (Closes: #1003181)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 23:20:26 -0400

cython (0.29.28-2) unstable; urgency=medium

  * Team upload
  * Handle 2-digit Python minor versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 14:29:17 -0400

cython (0.29.28-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, help2man and
      python3-numpy.

  [ Graham Inggs ]
  * New upstream release
  * Drop 23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch included upstream
  * Mark import3 autopkgtest as superficial (Closes: #971460)

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Feb 2022 12:31:37 +0000

cython (0.29.24-2) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #981502)
    + Demote python3-sphinx to Build-Depends-Indep.
    + Annotate gdb dependency <!nocheck>.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Dec 2021 18:47:04 +0100

cython (0.29.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946
  * debian/patches/23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch
    - include upstream change to fix doc build
  * debian/patches/deb_nopngmath
    - drop patch, no longer needed

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Oct 2021 22:41:55 -0400

cython (0.29.21-3) unstable; urgency=medium

  * Team upload
  * Reinstate build dependency on python3-numpy and enable tests

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Oct 2020 14:30:27 +0000

cython (0.29.21-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Drop build dependency on python3-numpy for a first python3.9 build
    and don't run the tests for this build

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Oct 2020 09:52:40 +0000

cython (0.29.21-1) unstable; urgency=medium

  * New upstream release; Closes: #963084

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 23:17:28 -0400

cython (0.29.14-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936363, #942939, #906699
  * Switch to pybuild

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jun 2020 23:54:03 -0400

cython (0.29.14-1) unstable; urgency=medium

  * Team upload.
  * Manual rebuild for python3.7 removal.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 17:11:55 -0400

cython (0.29.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, more Python 3.8 fixes. Closes: #942696.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2019 13:16:50 +0100

cython (0.29.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, supporting Python 3.8. Closes: #942696.
  * Run the tests for every python version, but ignore failures for
    a first build.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2019 21:58:37 +0200

cython (0.29.2-2) unstable; urgency=medium

  * Team upload to Debian unstable.
  * Bump Standards-Version to 4.3.0.

 -- Tobias Hansen <thansen@debian.org>  Mon, 14 Jan 2019 12:19:20 +0000

cython (0.29.2-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream release. (Closes: #916355)
  * Remove patches (applied upstream):
    - fix-fused-test.patch
    - drop-test.patch

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 16:56:36 +0100

cython (0.28.4-1) unstable; urgency=medium

  * New upstream release (Closes: #902551)
  * Fix missing installation of some debug libraries. (Closes: #902784)
  * debian/patches/fix-fused-test.patch:
    fix invalid testcase crashing with gcc-8
  * debian/patches/drop-test.patch:
    drop test of behaviour changed in python3.7
    Closes: #903024
  * bump standards version
  * switch to python3-sphinx

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 23 Jul 2018 17:58:49 +0000

cython (0.28.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:00:22 +0200

cython (0.28.2-3) experimental; urgency=medium

  * Team upload.
  * disable_tests.patch: Disable two tests that fail on several architectures.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Jun 2018 17:51:01 +0200

cython (0.28.2-2) experimental; urgency=medium

  * Team upload.
  * No-change upload to trigger rebuild.
    Previous build seem to have failed due to outdated buildd chroots
    after a gcc update.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 10:37:29 +0200

cython (0.28.2-1) experimental; urgency=medium

  * Team upload to Debian experimental.
  * Update Vcs-* fields for salsa git. (Closes: #895095)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Julian Rüth ]
  * New upstream release

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Jun 2018 17:00:54 +0200

cython (0.26.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build dependencies on versioned pythonX.Y packages.
  * Set priority of -dbg packages to optional.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Nov 2017 12:28:03 +0100

cython (0.26.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-add the build dependencies on python-numpy/python3-numpy.
  * Don't ignore test results anymore.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 17:46:58 +0200

cython (0.26.1-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Ignore test results for this build without numpy build dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2017 02:16:32 +0200

cython (0.26.1-0.1) unstable; urgency=high

  * Non-maintainer upload, ack'ed by Ximin Luo.
  * New upstream bug fix release.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 16:32:16 +0200

cython (0.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * "No-change" rebuild to build without the _fpectl extension.
  * Tighten the build dependencies for the pythonX.Y packages (can be dropped
    again once the pythonX.Y packages are available everywhere).
  * Temporarily drop the numpy build dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 09:53:24 +0200

cython (0.26-2) unstable; urgency=medium

  * Install cython.1 manpage only in cython arch-dep package. (Closes: #873394)

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 16:32:52 +0200

cython (0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #872710)
  * Remove patch relative-paths, made obsolete by other changes upstream.
  * Condition the numpy Build-Deps on <!nocheck>. (Closes: #870426)

 -- Ximin Luo <infinity0@debian.org>  Sat, 26 Aug 2017 16:57:53 +0200

cython (0.26~b0+git23-ga4fb856ac-2) experimental; urgency=medium

  * Team upload.
  * Add patch relative-paths: encode relative paths in generated C code,
    to make it build reproducibly. Closes: #849328

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jul 2017 20:18:22 +0000

cython (0.26~b0+git23-ga4fb856ac-1) experimental; urgency=medium

  * Fresh upstream pre-release snapshot which hopefully resolves detected
    issues (segfaults on older debian/ubuntus, int doctests issue etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Jul 2017 12:08:49 -0400

cython (0.26~b0-1) experimental; urgency=medium

  * Beta upstream release (Closes: #865453)
  * debian
    - boosted compat to 9
    - added dh-python to b-depends
    - boosted policy to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2017 23:33:40 -0400

cython (0.25.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch relative-paths: encode relative paths in generated C code,
    to make it build reproducibly. Closes: #849328

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Jul 2017 12:21:05 +0000

cython (0.25.2-1) unstable; urgency=medium

  * Upstream release
    - resolves issues with complex numbers' powers (Closes: #846268)
    - includes lshift_32bit_ftbfs.patch
    - various other fixes
  * debian/rules
    - skip for now numpy_test test leading to FTBFS (Closes: #848753)
      reported upstream: https://github.com/cython/cython/issues/1589
  * debian/patches
    - debup_verify_resolution_GH1533 as a workaround for
      https://github.com/cython/cython/issues/158

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Jan 2017 17:04:46 -0500

cython (0.25.2~b0-2) unstable; urgency=medium

  * Patch lshift_32bit_ftbfs.patch absorbing two latest fixes from upstream
    to resolve failing tests on i386 etc. Thanks Tobias Hansen for preping
    the patch (Closes: #845696)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2016 22:01:10 -0500

cython (0.25.2~b0-1) unstable; urgency=medium

  * Fresh upstream beta bugfix release (Closes: #842296)
  * Tools/cython-mode.el installed under usr/share/emacs/site-lisp as a
    part of cython package (there is no -common yet, and python still
    defaults to 2) (Closes: #794844)
  * Pass --shard_count= to runtests.py to run tests in parallel to
    speed up package build time. Although we do not parallelize build,
    tests are consuming significant portion of build time (Closes: #750841)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Nov 2016 22:42:00 -0500

cython (0.24.1-2) unstable; urgency=medium

  * patches/deb_nopngmath
    - disable pngmath sphinx extension (deprecated)
  * debian/rules
    - call 'make clean' and remove possible Cython.egg-info and docs/build
      to clean sources fully (Closes: #833951)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Aug 2016 13:50:15 -0400

cython (0.24.1-1) unstable; urgency=medium

  [ Alexis Bienvenüe <pado@passoire.fr> ]
  * Fix copyright year in documentation for reproducible build
    (Closes: #820183)

  [ Yaroslav Halchenko ]
  * Fresh upstream release (Closes: #830645)
    - addresses additional reproducible build issues (Closes: #806493)
      please open NEW bugreport if additional issues persist
  * debian/watch
    - monitor pypi for release tarballs

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Aug 2016 18:21:43 -0400

cython (0.23.4+git4-g7eed8d8-2) unstable; urgency=medium

  * Do all manipulations on -arch dependent pieces within
    override_dh_install-arch (Closes: #806011)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jul 2016 19:01:22 -0400

cython (0.23.4+git4-g7eed8d8-1) unstable; urgency=medium

  * Fresh upstream post bugfix release snapshot
  * patches/deb-reproducible.patch - deterministically sort items for
    reproducible execution.  Thanks Chris Lamb (Closes: #806493)
  * patches/guess_longness.patch - dropped since this release includes it

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 19 Feb 2016 10:12:47 -0500

cython (0.23.2+git16-ga8fbae1-1) unstable; urgency=medium

  * Fresh upstream snapshot
    - added guess_longness.patch from usptream to fix failed tests on i386
      (Closes: #799364)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Sep 2015 10:09:17 -0400

cython (0.23.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 22:00:21 -0400

cython (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Redirect output of testsuite from stderr to stdout. sbuild
    currently does not check for output on stderr when deciding if a build
    timed out (see #731940 for details). This caused the build of cython to be
    killed on slower architectures. (Closes: #787234)
  * debian/control: Bump Standards-Version. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Aug 2015 11:02:35 +0200

cython (0.22.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - cython* suggest cython-doc now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Jun 2015 21:38:42 -0400

cython (0.22+git62-g9aaa667-1) unstable; urgency=medium

  * Post-release snapshot to incorporate some fixes within 0.22.x stable branch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 May 2015 16:05:32 -0400

cython (0.21.1-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 18 Oct 2014 15:49:26 -0700

cython (0.21.1~pre0-1) unstable; urgency=medium

  * New upstream pre-bugfix-release
  * Moved debian/upstream to debian/upstream/metadata

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 15 Oct 2014 08:33:16 -0400

cython (0.21-1) unstable; urgency=medium

  * Recent upstream release
  * debian/watch
    - tuned up for ever changing upstream suffixes for pre-releases
  * debian/rules
    - exclude also Debugger tests for now
  * debian/patches
    - changeset_1e7d57294a595e634e56ea8087d264bb90e1ecde.diff
      to restrict tests to only when jedi >= 0.8.1

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Oct 2014 14:38:17 -0400

cython (0.20.2+git216-ga96882e-1) experimental; urgency=medium

  * Snapshot of upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jun 2014 22:01:09 -0400

cython (0.20.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release (two more issues fixed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jun 2014 21:58:42 -0400

cython (0.20.1+git90-g0e6e38e-1) unstable; urgency=low

  * Post-release snapshot (from 0.20.x branch).  As of now should resolve
    outstanding FTBFS against Python 3.4 (Closes: #739073, #734291)
  * debian/patches
    - deb_disable_googleanalytics - new
  * debian/control
    - addded gdb to build-depends for extended test coverage
    - boosted policy to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Mar 2014 13:04:01 -0400

cython (0.20.1-1) UNRELEASED; urgency=low

  * Fresh upstream bugfix release
    - includes all the .patch'es (dropping from debian/patches)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Feb 2014 13:20:05 -0500

cython (0.20-3) unstable; urgency=low

  [ Julian Taylor ]
  * fix-skip-tests.patch: prevent python3.4 from running a disabled test
  * add debian version to watermark in generated source files

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Feb 2014 21:49:34 -0500

cython (0.20-2) unstable; urgency=low

  * signed-char.patch: Fix broken test when char type is unsigned

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 22 Jan 2014 18:58:54 +0100

cython (0.20-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Jan 2014 00:07:47 -0500

cython (0.19.2+git5-g0c6fdf0-1) unstable; urgency=low

  * Post bugfix-releast upstream snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Nov 2013 16:43:22 -0500

cython (0.19.1+git34-gac3e3a2-1) unstable; urgency=low

  * Post bugfix-release upstream snapshot
    - among others addressed some memoryview and datetime namespace
      leakage within CPython namespace introduced in 0.19 release.
      This might (unlikely lead to FTBFS for build-dependees).
  * debian/control:
    - Fixing typo in description. Thanks Reuben Thomas. (Closes: #716756)
    - boosted policy to 3.9.4 (no further changes should be due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Aug 2013 11:19:04 -0400

cython (0.19+git51-g3078752-2) unstable; urgency=low

  [ Dmitry Smirnov ]
  * debian/cython-dbg.postinst
    - Correctly handle change from directories to symlinks for the doc
      directory (Closes #691704)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Jun 2013 14:48:11 -0400

cython (0.19+git51-g3078752-1) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Fresh upstream post-release snapshot
  * debian/upstream
    - added to facilitate referencing etc.
    - added to be installed among docs
  * debian/copyright
    - machine readable now (and correct license Apache-2.0)
  * debian/rules
    - use explicit --link-doc for dh_installdocs to get correct
      links for doc/ directories of -dbg packages
      (Closes: #683676, #691704)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 May 2013 08:53:12 -0400

cython (0.17.3-1) experimental; urgency=low

  * Bugfix upstream release:
    - upstream includes all previously shipped patches
    - provides CHANGES.rst (was missing from source distribution,
      up_changes_rst patch provides a copy), so all machinery for fetching
      changelogs from wiki is removed
  * Pruning shipped underscore.js, -doc depends on libjs-underscore now

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 12:34:19 -0500

cython (0.17.2-1+bnd1) UNRELEASED; urgency=low

  * debian/patches/squeeze-dsc-patch for a non-official backport build for
    squeeze

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 15 Dec 2012 23:06:59 -0500

cython (0.17.2-1) experimental; urgency=low

  * Bugfix upstream release with post-release fixes:
    - 0001-keep-longness-when-folding-negative-integer-constant.patch
    - 0003-Fix-compiler-crash.patch
    - 0005-fix-cimport-cython-in-string-code-fragments.patch
    - 0006-fix-refnanny-code-for-del-statement-inside-of-genera.patch
    - 0001-fix-analysis-of-entry-to-be-a-weakref-typo-introduce.patch
      (Closes: #692313)
    - fix-ma-includes.patch from Julian Taylor to add platform specific
      paths (e.g. introduced with multiarch in python3.3) (Closes: #693555)
  * Boost python-dev to Recommends from Suggests for most common usage
    scenarios (Closes: #545809).  Also list python3-dev instead
    of python-dev for cython3 package.
  * Provide cython-doc package with documentation built using sphinx
    (Closes: #615932)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Dec 2012 12:28:05 -0500

cython (0.17.1-1) experimental; urgency=low

  * Bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 29 Sep 2012 19:01:53 -0400

cython (0.17-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Sep 2012 16:41:46 -0400

cython (0.17~beta4+git15-g6457431-1) experimental; urgency=low

  * New upstream pre-release snapshot
  * debian/rules:
    - assure-changelogs upon clean to don't wait for crash at the end of
      build/test due to a missing changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Aug 2012 10:33:42 -0400

cython (0.17~beta3-1) experimental; urgency=low

  * New upstream pre-release beta
    - adopted up_upstream_cache_ext_suffix

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Aug 2012 09:47:01 -0400

cython (0.17~beta1-2) experimental; urgency=low

  * Restrict actions of dh_python* helpers to corresponding cython*
    packages (otherwise cython obtains python3 shebang)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Jul 2012 15:30:25 -0400

cython (0.17~beta1-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Provide Python 3 package -- cython3 (Closes: #674073)

  [ Yaroslav Halchenko ]
  * New upstream release
    - addresses gcc 4.7 compatibility (Closes: #682652)
  * export HOME=$(CURDIR)/build to not rely on user's writable HOME
    (was triggered by some tests leading to FTBFS)
  * debian/watch
    - allow fetching beta-releases
  * debian/patches
    - dropped (upstreamed)
    - added up_upstream_cache_ext_suffix to resolve failure due to multiarch
      (see #682795 for the reason)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jul 2012 21:41:44 -0400

cython (0.16-1) experimental; urgency=low

  [ Bradley M. Froehle ]
  * Switch from cdbs to dh7
  * Change build system to dh_python2 (Closes: #677405).
    Thanks also to Julian Taylor for an alternative patch
  * Bump Standards-Version to 3.9.3

  [ Yaroslav Halchenko ]
  * "stings" typo patch, Thanks Jakub Wilk (Closes: #679359)
  * Fresh upstream release (Closes: #671070)
    - compatibile with changed __import__ in Python 3.3 (Closes: #681697)
    - required to BFS for new python-pymtp
    - dropping patches deb_tempdisable_numpy_doctests, python27-testsuite-fix.patch
    - excluding parallel tests since they fail ATM (reported/known upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Jul 2012 20:16:03 -0400

cython (0.15.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Strip CRs from upstream changelogs.

  [ Barry Warsaw ]
  * debian/patches/python27-testsuite-fix.patch:
    Fix test suite for Python 2.7 change.  Patch comes from Cython
    upstream, post 0.15.1 release.  (Closes: #651996)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Jan 2012 12:32:25 -0500

cython (0.15.1-1) unstable; urgency=low

  [ Nikolaus Rath ]
  * New upstream version (Closes: #637388)
    - cython --help no longer mentions -r option (Closes: #607097)
    - Compiles cleanly with Python 2.7 (Closes: #627773)
    - Fixed compile time division (Closes: #641128)
  * Dropped patches, have been incorporated upstream:
    0001-fix-makefile-for-embed-testcase.patch
    0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
    0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
    0001-additional-fix-and-test-for-ticket-650.patch
    0001-Python-3-fix-NumPy-support.patch

  [ Yaroslav Halchenko ]
  * Standards-Version bumped to 3.9.2 (no change needed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 10:35:03 -0400

cython (0.14.1-7) UNRELEASED; urgency=low

  * Fix shebang before dh_pysupport is called, to remove unnecessary
    Dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 Jun 2011 16:59:09 +0200

cython (0.14.1-6) unstable; urgency=low

  * Team upload.
  * Un-version python in shebangs with sed. (Closes: #577143)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2011 10:21:06 +0200

cython (0.14.1-5) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-additional-fix-and-test-for-ticket-650.patch (Closes: #620859)
    - 0001-Python-3-fix-NumPy-support.patch to address some of the numpy 1.5
      compatibility issues
  * Temporarily skipped 2 doctests triggered by numpy 1.5 incompatibility
    which is on upstream's TODO: patch deb_tempdisable_numpy_doctests

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 11:07:21 -0400

cython (0.14.1-4) unstable; urgency=low

  * Cherry-picked from upstream:
    - 0001-fix-inline-textcase-to-not-use-default-HOME-.cython-.patch
      (Closes: #613989)
    - 0001-fix-testcases-assuming-char-is-signed-thanks-to-Yaro.patch
      (Closes: #613993)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 17:21:26 -0500

cython (0.14.1-3) unstable; urgency=low

  * Remove python-profiler from Build-Depends: it is non-free

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 09:09:13 -0500

cython (0.14.1-2) unstable; urgency=low

  * Run unittests against default Python version during build
    - Adopted 0001-fix-makefile-for-embed-testcase.patch from upstream
      for embedded test to perform correctly
  * Added numpy and profiler into Build-Depends to facilitate all tests above

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Feb 2011 13:35:52 -0500

cython (0.14.1-1) unstable; urgency=low

  * Reincarnating uploads to unstable
  * Fresh upstream release
  * debian/control: added python-dev into Suggests (Closes: #545809)
  * Standards-Version bumped to 3.9.1 (no change needed)
  * Use help2man to generate a reasonable manpage (Closes: #607098)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 Feb 2011 09:41:12 -0500

cython (0.13-1) experimental; urgency=low

  * New upstream release
  * debian/control: added myself to Uploaders
  * debian/rules: fetch upstream ReleaseNotes to serve a changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Sep 2010 14:28:34 -0400

cython (0.12.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Introducing cython-dbg (Closes: #541314)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 May 2010 14:11:54 -0400

cython (0.12.1-1) unstable; urgency=low

  [ Kirill Smelkov ]
  * New upstream release (Closes: #560298)

  [ Jakub Wilk ]
  * Fix watch file.

  [ Ondrej Certik ]
  * Standards-Version bumped to 3.8.3 (no change needed)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 13 Feb 2010 18:59:52 -0800

cython (0.11.2-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release (Closes: #525620, #536213)

  [ Jakub Wilk ]
  * debian/rules: remove generated files.

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.2 (no change needed)

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Mon, 10 Aug 2009 23:18:51 +0200

cython (0.10.3-1) unstable; urgency=low

  [ Vernon Tang ]
  * New upstream release
  * debian/watch: corrected regexp

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 15 Feb 2009 11:27:13 -0800

cython (0.10.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Ondrej Certik ]
  * New upstream release
  * Description updated
  * ${shlibs:Depends} added to depends
  * architecture changed from all to any
  * python-support moved from Build-Depends-Indep to Build-Depends

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 02 Dec 2008 12:06:41 +0100

cython (0.9.8-1) unstable; urgency=low

  * New upstream release
  * python-all-dev added to build-depends (upstream now compiles
    Cython.Plex.Scanners with Cython). The .so file is not included in the
    .deb for some reason, so until this is fixed, the package stays
    architecture all and remains pure Python.

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 20 Jul 2008 12:43:45 +0200

cython (0.9.6.14-1) unstable; urgency=low

  * New upstream version
  * Description improved (SAGE -> Sage), whitespace removed
  * Standards-Version bumped (no change needed)
  * README.Debian updated to recent cython way of doing things

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 11 Jun 2008 13:22:09 +0200

cython (0.9.6.13.1-1) unstable; urgency=low

  * New upstream version (Closes: #478077)

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 27 Apr 2008 00:54:05 +0200

cython (0.9.6.12-1) unstable; urgency=low

  * New upstream version (Closes: #463625)
  * get-orig-tarball targed removed from debian/rules (uscan now works to get
    orig.tar.gz)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 14 Feb 2008 13:58:23 +0100

cython (0.9.6.11.ds-1) unstable; urgency=low

  [ Marco Rodrigues ]
  * debian/watch:
    + Fixed path (Closes: #460006).
  * debian/control:
    + Bump cdbs version to matches policy.

  [ Ondrej Certik ]
  * New upstream version

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 18 Jan 2008 00:21:42 +0100

cython (0.9.6.10.ds-1) unstable; urgency=low

  * New upstream version
  * Moved from pycentral to pysupport
  * removed patches, since upstream has integrated them

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 31 Dec 2007 03:28:34 +0100

cython (0.9.6.8.ds-2) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-Upload-Allowed
  * Update Standards-Version to 3.7.3.
  * Build-depend on python instead of python-all-dev
  * ${misc:Depends} added to Depends
  * Depend on debhelper >= 5.0.38
  * gcc added to Suggests
  * README.Debian gcc command fixed by adding -fPIC

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 22 Dec 2007 22:12:00 +0100

cython (0.9.6.8.ds-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Initial Debian upload (Closes: 451039)
  * Added a patch for handling the @classmethod decorators

  [ Sandro Tosi ]
  * debian/watch
    - added missing file

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 30 Nov 2007 13:00:44 +0100
